from django.shortcuts import render, redirect
from .models import Service
from django.views.generic.base import View
from django.contrib.auth import logout
from django.contrib.auth.views import LoginView
from .forms import RegistrationForm, ServiceForm
from django.views.generic import DetailView

class index(View):
    def get(self, request):
        services = Service.objects.all()
        return render(request, 'index.html', {'service_list': services})

def profile(request):
    return render(request, 'accounts/profile.html')


class services(View):
    def get(self, request):
        services = Service.objects.all()
        return render(request, 'services.html', {'service_list': services})






login_view = LoginView.as_view(template_name='login.html')

def register(request):
    if request.method == "POST":
        form = RegistrationForm(request.POST)
        if form.is_valid():
            user = form.save(commit=True)
            user.set_password(form.cleaned_data['password'])
            user.save()
            return render(request, 'login.html')
    else:
        form = RegistrationForm()
    return render(request, 'registration.html', {'form': form})

def logout_view(request):
    logout(request)
    return redirect('index')

def add(request):
    if request.method == "POST":
        form = ServiceForm(request.POST, request.FILES)
        if form.is_valid():
            form.save()
            return redirect('index')
    else:
        form = ServiceForm()
    return render(request, 'add.html', {'form': form})

class DetailRequest(DetailView):
    model = Service
    template_name = 'detail.html'
    context_object_name = 'service'

